![IMAGE_DESCRIPTION](https://uploads-ssl.webflow.com/5a22c0f9816f0a00016c74b4/6422db73d5004f24da0680b0_mobilab-header-pubdev.png)

# Flutter App Design System

Provides basic widgets with default style and design.
Widgets are able to inherit colors from the app theme.

## Demo

[Web app example](https://design.components.lab.mobi)

## Features

1. LabTextField
2. LabPrimaryButton

## Getting started

1. Add `design` as a [dependency in your pubspec.yaml file](https://flutter.dev/platform-plugins).
2. Import the library: `import 'package:design/design.dart';`

## Example

```dart
LabTextField(
  decoration: InputDecoration(
  prefixIcon: Icon(Icons.lock_outline),
  suffixIcon: Icon(Icons.visibility_off_outlined),
  labelText: 'Label text',
  helperText: 'Supporting text',
  ),
),
```

```dart
LabPrimaryButton(
    'Button title',
    minimumSize: const Size(200, 48),
    backgroundColor: const Color(0xFF0B0020),
    disabledBackgroundColor: const Color(0xFFCFCED8),
    textStyle: const TextStyle(
      fontSize: 16,
      color: Color(0xFFFFFFFF),
    ),
    onPressed: () {
      // handle click
    },
)
```

## Additional information

We plan to add more complex widgets in the future along with some utility widgets and classes
for setting up colors, text themes, fonts etc.
