import 'package:flutter/material.dart';

/// Defines the dark color palette for the app.
abstract class AppColorDark {

  /// Primary
  static const Color primary80 = Color(0xFF99CEFF);

  /// On primary
  static const Color primary20 = Color(0xFF103660);

  /// Primary container
  static const Color primary30 = Color(0xFF194D85);

  /// On primary container
  static const Color primary90 = Color(0xFFC7E5FF);

  /// Secondary
  static const Color secondary80 = Color(0xFFA4C8EF);

  /// On secondary
  static const Color secondary20 = Color(0xFF292E32);

  /// Secondary container
  static const Color secondary30 = Color(0xFF38424C);

  /// On secondary container
  static const Color secondary90 = Color(0xFFCCE2F9);

  /// Tertiary
  static const Color tertiary80 = Color(0xFFD8BDDE);

  /// On tertiary
  static const Color tertiary20 = Color(0xFF3C2942);

  /// Tertiary container
  static const Color tertiary30 = Color(0xFF533F5A);

  /// On tertiary container
  static const Color tertiary90 = Color(0xFFF4D9FA);

  /// Error
  static const Color error80 = Color(0xFFF4B7AD);

  /// On error
  static const Color error20 = Color(0xFF600F0C);

  /// Error container
  static const Color error30 = Color(0xFF861915);

  /// On error container
  static const Color error90 = Color(0xFFF9DBD7);

  /// Success
  static const Color success80 = Color(0xFFB3D996);

  /// On success
  static const Color success20 = Color(0xFF1E410C);

  /// Success container
  static const Color success30 = Color(0xFF315818);

  /// On success container
  static const Color success90 = Color(0xFFD2F4B8);

  /// Caution
  static const Color caution80 = Color(0xFFEECF44);

  /// On caution
  static const Color caution20 = Color(0xFF383009);

  /// Caution container
  static const Color caution30 = Color(0xFF524712);

  /// On caution container
  static const Color caution90 = Color(0xFFFFE680);

  /// Background
  /// Surface
  static const Color neutral10 = Color(0xFF191C21);

  /// On background
  /// On surface
  static const Color neutral95 = Color(0xFFEFF0F9);

  /// Shadow
  static const Color neutral0 = Color(0xFF000000);

  /// Surface variant
  /// Divider
  static const Color neutralVariant30 = Color(0xFF3E4957);

  /// On surface variant
  static const Color neutralVariant80 = Color(0xFFC1C7D4);

  /// Outline
  static const Color neutralVariant60 = Color(0xFF8792A2);
}