import 'package:flutter/material.dart';

/// Defines the light color palette for the app.
abstract class AppColorLight {

  /// Primary
  static const Color primary50 = Color(0xFF0073FF);

  /// On primary
  static const Color primary100 = Color(0xFFFFFFFF);

  /// Primary container
  static const Color primary95 = Color(0xFFDBEFFF);

  /// On primary container
  static const Color primary10 = Color(0xFF051A33);

  /// Secondary
  static const Color secondary50 = Color(0xFF56718F);

  /// On secondary
  static const Color secondary100 = Color(0xFFFFFFFF);

  /// Secondary container
  static const Color secondary95 = Color(0xFFDBECFF);

  /// On secondary container
  static const Color secondary10 = Color(0xFF17191C);

  /// Tertiary
  static const Color tertiary40 = Color(0xFF6C5672);

  /// On tertiary
  static const Color tertiary100 = Color(0xFFFFFFFF);

  /// Tertiary container
  static const Color tertiary90 = Color(0xFFF4D9FA);

  /// On tertiary container
  static const Color tertiary10 = Color(0xFF25142C);

  /// Error
  static const Color error40 = Color(0xFFAB2D25);

  /// On error
  static const Color error100 = Color(0xFFFFFFFF);

  /// Error container
  static const Color error90 = Color(0xFFF9DBD7);

  /// On error container
  static const Color error10 = Color(0xFF3B0605);

  /// Success
  static const Color success40 = Color(0xFF49702E);

  /// On success
  static const Color success100 = Color(0xFFFFFFFF);

  /// Success container
  static const Color success90 = Color(0xFFD2F4B8);

  /// On success container
  static const Color success10 = Color(0xFF0F2905);

  /// Caution
  static const Color caution40 = Color(0xFF6D5E1B);

  /// On caution
  static const Color caution100 = Color(0xFFFFFFFF);

  /// Caution container
  static const Color caution90 = Color(0xFFFFE680);

  /// On caution container
  static const Color caution10 = Color(0xFF211B04);

  /// Background
  static const Color neutral100 = Color(0xFFFFFFFF);

  /// On background
  /// On surface
  static const Color neutral10 = Color(0xFF191C21);

  /// Surface
  static const Color neutral99 = Color(0xFFFDFBFF);

  /// Shadow
  static const Color neutral0 = Color(0xFF000000);

  /// Surface variant
  static const Color neutralVariant90 = Color(0xFFDEE2ED);

  /// On surface variant
  static const Color neutralVariant30 = Color(0xFF3E4957);

  /// Outline
  static const Color neutralVariant50 = Color(0xFF6C798B);

  /// Divider
  static const Color neutralVariant80 = Color(0xFFC1C7D4);
}
