import 'package:design/src/theme/typography/app_font_weight.dart';
import 'package:flutter/material.dart';

class AppTextStyle {
  static const displayLarge = TextStyle(
    fontWeight: AppFontWeight.regular,
    fontSize: 56,
    height: 1.14,
    letterSpacing: 0,
  );

  static const displayMedium = TextStyle(
    fontWeight: AppFontWeight.regular,
    fontSize: 45,
    height: 1.15,
    letterSpacing: 0,
  );

  static const displaySmall = TextStyle(
    fontWeight: AppFontWeight.regular,
    fontSize: 36,
    height: 1.22,
    letterSpacing: 0,
  );

  static const headlineLarge = TextStyle(
    fontWeight: AppFontWeight.regular,
    fontSize: 32,
    height: 1.25,
    letterSpacing: 0,
  );

  static const headlineMedium = TextStyle(
    fontWeight: AppFontWeight.regular,
    fontSize: 28,
    height: 1.28,
    letterSpacing: 0,
  );

  static const headlineSmall = TextStyle(
    fontWeight: AppFontWeight.regular,
    fontSize: 24,
    height: 1.33,
    letterSpacing: 0,
  );

  static const titleLarge = TextStyle(
    fontWeight: AppFontWeight.regular,
    fontSize: 22,
    height: 1.27,
    letterSpacing: 0,
  );

  static const titleMedium = TextStyle(
    fontWeight: AppFontWeight.medium,
    fontSize: 16,
    height: 1.5,
    letterSpacing: 0.15,
  );

  static const titleSmall = TextStyle(
    fontWeight: AppFontWeight.medium,
    fontSize: 14,
    height: 1.42,
    letterSpacing: 0.1,
  );

  static const bodyLarge = TextStyle(
    fontWeight: AppFontWeight.medium,
    fontSize: 16,
    height: 1.5,
    letterSpacing: 0.25,
  );

  static const bodyLargeEmphasis = TextStyle(
    fontWeight: AppFontWeight.bold,
    fontSize: 16,
    height: 1.5,
    letterSpacing: 0.25,
  );

  static const bodyMedium = TextStyle(
    fontWeight: AppFontWeight.regular,
    fontSize: 14,
    height: 1.42,
    letterSpacing: 0.25,
  );

  static const bodyMediumEmphasis = TextStyle(
    fontWeight: AppFontWeight.semiBold,
    fontSize: 14,
    height: 1.42,
    letterSpacing: 0.25,
  );

  static const bodySmall = TextStyle(
    fontWeight: AppFontWeight.regular,
    fontSize: 12,
    height: 1.33,
    letterSpacing: 0.4,
  );

  static const bodySmallEmphasis = TextStyle(
    fontWeight: AppFontWeight.semiBold,
    fontSize: 12,
    height: 1.33,
    letterSpacing: 0.4,
  );

  static const labelLarge = TextStyle(
    fontWeight: AppFontWeight.medium,
    fontSize: 14,
    height: 1.42,
    letterSpacing: 0.1,
  );

  static const labelMedium = TextStyle(
    fontWeight: AppFontWeight.medium,
    fontSize: 12,
    height: 1.33,
    letterSpacing: 0.25,
  );

  static const labelSmall = TextStyle(
    fontWeight: AppFontWeight.medium,
    fontSize: 11,
    height: 1.45,
    letterSpacing: 0.5,
  );
}
